%define cvs_date _002_20050530

Name: etox
Version: 0.9.0
Release: alt0.2%cvs_date

Summary: Enlightened Text Object Library
License: BSD
Group: System/Libraries
Url: http://www.enlightenment.org
Source: %name-%version%cvs_date.tar.bz2

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Tue Mar 29 2005
BuildRequires: fontconfig freetype2-devel gcc-c++ hostinfo libecore-devel libedb-devel libeet-devel libevas-devel libjpeg-devel libstdc++-devel nvidia_glx_common xorg-x11-devel xorg-x11-libs xorg-x11-mesaGL zlib-devel

%description
Etox is a type setting and text layout library based on Evas. Etox helps
you when it comes to displaying, moving, resizing, layering, clipping,
aligning and coloring fonts in different styles, and more.

%package -n lib%name
Summary: Enlightened evas based text layout library
Group: System/Libraries

%description -n lib%name
Etox is a type setting and text layout library based on Evas. Etox helps
you when it comes to displaying, moving, resizing, layering, clipping,
aligning and coloring fonts in different styles, and more.

This package contains shared Etox library.

%package -n lib%name-devel
Summary: Etox headers and development libraries
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Etox is a type setting and text layout library based on Evas. Etox helps
you when it comes to displaying, moving, resizing, layering, clipping,
aligning and coloring fonts in different styles, and more.

This package contains Etox headers and development libraries

%package -n lib%name-devel-static
Summary: Etox static libraries.
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Etox is a type setting and text layout library based on Evas. Etox helps
you when it comes to displaying, moving, resizing, layering, clipping,
aligning and coloring fonts in different styles, and more.

This package contains Etox static libraries.

%package -n lib%name-examples
Summary: Etox test programs 
Group: Development/Other
Requires: lib%name = %version-%release

%description -n lib%name-examples
Etox is a type setting and text layout library based on Evas. Etox helps
you when it comes to displaying, moving, resizing, layering, clipping,
aligning and coloring fonts in different styles, and more.

This package contains test programs from Etox distribution.

%prep
%setup -q -n %name

%build
%if "%cvs_date" != "%nil"
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__automake --foreign --add-missing
%__autoconf
%endif

%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install
%__rm %buildroot/usr/bin/etox_test
%__rm %buildroot/usr/bin/etox_selections


%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/*.so.*
%_datadir/%name
%doc AUTHORS COPYING README

%files -n lib%name-devel
%_bindir/*-config
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/etox.pc
#_libdir/*.la
%_datadir/aclocal/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

#files -n lib%name-examples
#_bindir/*_test*

%changelog
* Mon May 30 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050530
- updated from cvs.

* Tue May 24 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050524
- updated from cvs.

* Mon May 16 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050516
- updated from cvs.

* Sat May 14 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050514
- updated from cvs.

* Thu Apr 28 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050428
- updated from cvs.
- minor spec fixes.

* Mon Apr 25 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050425
- updated from cvs.

* Thu Apr 21 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050421
- updated from cvs.

* Tue Mar 29 2005 Alex Murygin <murygin@altlinux.ru> 0.9.0-alt0.2_002_20050329
- updated from cvs.

* Sat Jan 22 2005 Alex Murygin <murygin@altlinux.ru> 0.9.0-alt0.1_20050122
- updated from cvs.

* Mon Dec 20 2004 Alex Murygin <murygin@altlinux.ru> 0.9.0-alt0.1_20041216
- updated from cvs.

* Sat Mar 15 2003 Alex Murygin <murygin@altlinux.ru> 0.0.1-alt0.1_20030315
- Updated from cvs.

* Sat Nov 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.0.1-alt0.1_20021123
- First build for Sisyphus. 
